? .deps
? .libs
? Makefile
? Makefile.in
? acinclude.m4
? aclocal.m4
? autom4te.cache
? bind.lo
? columninfo.lo
? config.h
? config.h.in
? config.log
? config.status
? configure
? connection.lo
? convert.lo
? depcomp
? descriptor.lo
? dlg_specific.lo
? drvconn.lo
? environ.lo
? execute.lo
? info.lo
? info30.lo
? install-sh
? libtool
? libtool.m4
? misc.lo
? missing
? multibyte.lo
? odbcapi.lo
? odbcapi30.lo
? odbcapi30w.lo
? odbcapiw.lo
? options.lo
? parse.lo
? pgapi30.lo
? pgtypes.lo
? psqlodbc.la
? psqlodbc.lo
? qresult.lo
? results.lo
? stamp-h1
? statement.lo
? tuple.lo
? tuplelist.lo
? win_md5.lo
? win_unicode.lo
Index: environ.c
===================================================================
RCS file: /cvsroot/psqlodbc/psqlodbc/environ.c,v
retrieving revision 1.54
diff -u -r1.54 environ.c
--- environ.c	4 Oct 2005 19:03:19 -0000	1.54
+++ environ.c	19 Oct 2005 14:04:06 -0000
@@ -723,11 +723,16 @@
 	 */
 
 	/* Free any connections belonging to this environment */
+	ENTER_CONNS_CS;
 	for (lf = 0; lf < MAX_CONNECTIONS; lf++)
 	{
 		if (conns[lf] && conns[lf]->henv == self)
+		{
 			rv = rv && CC_Destructor(conns[lf]);
+			conns[lf] = NULL;
+		}
 	}
+	LEAVE_CONNS_CS;
 	DELETE_ENV_CS(self);
 	free(self);
 
